[DEPRECATED] References

These endpoints will be deprecated at 30th September 2025. Please use onramp or offramp endpoints instead.

WePay API provides a collection of useful references for some of the most common things. You can use these references to build your own UI components or to create your own custom integrations. The references are available in the following endpoints:


GET/v1/reference/currencies

List all currencies

This endpoint allows you to retrieve a list of all currencies supported by the API.

Request

GET
/v1/reference/currencies
curl -G "https://staging.wepay.to/v1/reference/currencies"

Response

{
      "statusCode": 200,
      "message": "getCurrencies executed successfully",
      "data": [
        {
              "_id": "64daesdas6acf6644dd1a3c78",
              "value": "UNITED STATES",
              "currency": "USD",
              "countryCode": "US",
              "logo": "https://cdn-icons-png.flaticon.com/512/197/197484.png",
              "name": "United States Dollar",
              "requireBankName": false,
              "requireIfsc": false,
              "requireIban": false,
              "requireAchOrWire": true,
              "requireAccountNumber": false,
              "country": "United States of America",
              "symbol": "$",
              "id": "64dae2716acf6ddsx1a3c78"
        },
          ...
      ]
  }

GET/v1/reference/cryptos

List all crypto

This endpoint allows you to retrieve a list of all countries supported by the API.

Query Params attributes

FieldTypeDescription
useSmartContractboolean

Whether the results are filtered based on tokens that use WePay smart contract proxy or not. By default, if the params is empty it will response all results

blockchainTypestring

Whether the results are filtered based on blockchain type. By default, if the params is empty it will response all results Possible values are EVM, STELLAR

Request

GET
/v1/reference/cryptos
curl -G "https://staging.wepay.to/v1/reference/cryptos"

Response

{
    "statusCode": 200,
    "message": "getCrypto executed successfully",
    "data": [
         {
            "_id": "64dae87a6acf6644dd1a212d",
            "symbol": "usdt",
            "id": "usdt-ethereum",
            "name": "Tether",
            "label": "USDT - Ethereum",
            "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
            "chainId": 1,
            "is_native": false,
            "logo": "https://raw.githubusercontent.com/Xellar-Protocol/xellar-assets/master/assets/tether/logo.png",
            "currencies": [
                "IDR",
                "INR",
                "THB",
                "USD",
                "EUR",
                "SGD"
            ],
            "decimal": 6,
            "priceId": "tether"
       }
        ...
    ]
  }

Did this page help you ship?